Bug 1300248 - "Cancel" button does not hide error message
"Cancel" button does not hide error message
Status: CLOSED WONTFIX
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: sankarshan
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 05:53 EST by Martin Kudlej
Modified: 2017-03-23 00:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhscon-ui-0.0.46-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 00:11:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Form before caceling (57.13 KB, image/png)
2016-02-16 07:42 EST, Martin Kudlej
no flags Details
screen with error message (51.06 KB, image/png)
2016-02-16 07:44 EST, Martin Kudlej
no flags Details

  None (edit)
Description Martin Kudlej 2016-01-20 05:53:49 EST
Description of problem:
If user do not enter valid email error message shows. Then if user cancel adding new user error message is still visible in left upper corner.

Version-Release number of selected component (if applicable):
rhscon-ui-0.0.6-0.1.alpha1.el7.noarch
rhscon-core-0.0.6-0.1.alpha1.el7.x86_64
rhscon-ceph-0.0.4-0.1.alpha1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. click on "Add User" and enter invalid email.
2. click "Save". error message shows.
3. click "Cancel". Error message has moved to left upper corner of page.

Actual results:
Error message does not hide when add user form is canceled.

Expected results:
Error message hides when add user form is canceled.

Additional info:
Comment 1 Dhivya Sivaprakasam 2016-02-12 02:34:22 EST
Actually it working correct. What i do is,
1. clicked on AddUser and entered mooo.in as in the email field.
2. It shows error msg. I just clicked Cancel button but it simply left out from that page and returned back to Admin page. 
3. Nothing is shown left upper corner
Comment 2 Martin Kudlej 2016-02-16 07:42 EST
Created attachment 1127582 [details]
Form before caceling
Comment 3 Martin Kudlej 2016-02-16 07:44 EST
Created attachment 1127583 [details]
screen with error message
Comment 4 Martin Kudlej 2016-02-16 07:48:39 EST
I still see error message there. There is change now that after change of focus(for example click somewhere) error message disappears. But I think that error dialog like this should disappear with submitting of "Add user" form.
Comment 5 Dhivya Sivaprakasam 2016-02-16 07:54:18 EST
I checked with that, it works fine with chrome but not in firefox..
Comment 9 Martin Kudlej 2016-07-14 08:33:57 EDT
I still see this issue in
Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:47.0) Gecko/20100101 Firefox/47.0
Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101 Firefox/45.0
with 
ceph-ansible-1.0.5-25.el7scon.noarch
ceph-installer-1.0.12-4.el7scon.noarch
rhscon-ceph-0.0.32-1.el7scon.x86_64
rhscon-core-0.0.33-1.el7scon.x86_64
rhscon-core-selinux-0.0.33-1.el7scon.noarch
rhscon-ui-0.0.47-1.el7scon.noarch

Note You need to log in before you can comment on or make changes to this bug.